Module
Inhalte
Index 🔎︎

# Funktion Atn

Ermittelt den Arkustangens eines numerischen Ausdrucks. Das Ergebnis wird im Bogenmaß zurückgegeben und liegt im Bereich -(Pi/2) und +(Pi/2).

Der Arkustangens ist das Gegenstück der Tangens-Funktion. Die Funktion Atn gibt ausgehend vom Tangens eines Winkels "Alpha" den eigentlichen Winkel im Bogenmaß (Rad) zurück. Die Funktion kann auch den Winkel "Alpha" zurückgeben, indem sie in einem rechtwinkligen Dreieck das Verhältnis der Länge der dem Winkel gegenüber liegenden Seite zu der sich ihm anschließenden Seite vergleicht.

Atn(Gegenkathete/Ankathete) = Alpha

## Syntax:

    Atn (Zahl)

## Rückgabewert:

Double

## Parameter:

Zahl: Ein beliebiger numerischer Ausdruck, der ein Verhältnis zweier Seiten in einem rechtwinkligen Dreieck darstellt. Die Atn-Funktion gibt den dazugehörigen Winkel im Bogenmaß (Rad) zurück (Arkustangens).

Zur Umrechnung von Bogenmaß in Grad muss das Bogenmaß mit 180/Pi multipliziert werden.

grad=(radiant*180)/pi

radiant=(grad*pi)/180

Pi ist hierbei die feste Kreiskonstante mit dem gerundeten Wert 3,14159.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    ' Das folgende Beispielprogramm berechnet in einem rechtwinkligen Dreieck

    ' aus dem Tangens des Winkels Alpha den Winkel Alpha:

    Sub ExampleAtn

    ' Pi gerundet = 3.14159 ist eine vordefinierte Konstante

    Dim d1 As Double

    Dim d2 As Double

        d1 = InputBox("Bitte geben Sie die Länge der Ankathete ein: ","Ankathete")

        d2 = InputBox("Bitte geben Sie die Länge der Gegenkathete ein: ","Gegenkathete")

        Print "Der Winkel Alpha beträgt"; (atn (d2/d1) * 180 / Pi); " Grad"

    End Sub